GOLF(2gg)

NAME
purge-tree - (tree)

PURPOSE
Delete all tree nodes.

SYNTAX

        purge-tree <tree>

DESCRIPTION
purge-tree will delete all <tree> nodes; <tree> must have been created with new-tree. All of <tree>'s nodes, and their keys/values all deleted.

After purge-tree, the tree is empty and you can use it again (write into it, read from it etc.).

EXAMPLES
Delete all tree data:

        new-tree mytree
        ...
        purge-tree mytree

SEE ALSO
 Tree

delete-tree get-tree new-tree purge-tree read-tree use-cursor write-tree See all documentation